<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

// theme settings
$body_text = "#555555";
$body_bg = "#ffffff";
$theme_width = "880";
$theme_width_l = "180";
$theme_width_r = "180";

$wztool['border_width'] = '1';
$wztool['border_color'] = '#555555';
$wztool['bgcolor'] = '#F1F1F1'; // #FFFFFF
$wztool['width'] = '0';
$wztool['title_padding'] = '1';
$wztool['padding'] = '1';
$wztool['fcolor'] = '#000000';


// Email-Picture
// text color
$etext_color = array('223','224','225'); // RGB Colors
// background color
$ebg_color = array('0','0','0');		// RGB Colors

define("LEFT_PANEL_START",'<td class="side-border-left" valign="top"><div class="image-left"><img src="'.THEME.'images/blank.gif" width="'.$theme_width_l.'" height="0" border="0" alt="" /></div>');
define("LEFT_PANEL_END",'</td>');
define("CONTENT_START",'<td class="main-bg" width="100%" valign="top">');
define("CONTENT_END","</td>");
define("RIGHT_PANEL_START",'<td class="side-border-right" width="'.$theme_width_r.'" valign="top"><div class="image-right"><img src="'.THEME.'images/blank.gif" width="'.$theme_width_r.'" height="0" alt="" /></div>');
define("RIGHT_PANEL_END","</td>");

function stripchar($ord) {
$boxname="";
for ($i=0; $i<strlen($ord);$i++) {
if (($ord[$i] >="A" and $ord[$i] <= "Z") or ($ord[$i] >="a" and $ord[$i] <= "z") ) {
$boxname=$boxname.$ord[$i];
}
}
return $boxname;
}

function render_header($header_content=null) {
global $theme_width, $settings;  
echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0' align='center'>\n";

echo '<tr><td class="full-header"><img src="'.BASEDIR.'themes/c-rb/images/banner.png" border="0" alt="Banner" title="Banner" /></td></tr>
<tr><td align="center" class="white-header">'.showsublinks("-", "white").'</td></tr><tr><td colspan="2">';

echo '<table  cellpadding="0" cellspacing="6" width="100%" class="ent-body">
<tr>';
}

function render_admin_header() {
global $theme_width, $settings,$aidlink,$locale;

echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0'>\n
<tr><td class='full-header'><a href='".BASEDIR."index.php'><img src='".BASEDIR.$settings['sitebanner']."' alt='".$settings['sitename']."' title='".$settings['sitename']."' border='0'></a></td></tr>\n
<tr><td align='center' class='white-header'>\n
".showsublinks("|", "white")."</td></tr>
<tr><td colspan='2'>\n
<table cellpadding='0' cellspacing='0' width='100%'>\n
<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$settings;
echo "\n</tr></table>\n";
echo "</td></tr>";
echo "<tr><td colspan='2' align='center' class='footer'>".stripslashes($settings['footer'])."<br>\n";
if (!$license) {
echo "<table width='100%' cellpadding='1' cellspacing='1'><tr>";
echo "<td align='left'>".showcopyright("white")."</td>"; 

echo "<td align='right' valign='bottom'>Design C-RB by <strong><a href='http://c-styles.de' target='_blank'>C-Styles</a></strong></td>";
echo "</tr></table>"; 
}
echo "</td></tr>";
echo "</table>\n";
}

function opentable($title) {
echo "<table width='100%' class='border'>
<tr><td class='capmain'>".$title."</td></tr>
<tr><td class='main-body'>\n";
}

function closetable() {
echo "</td>
</tr>
</table>\n";
}

function openside($title) {	
echo "<div style='width:100%' class='border'>
<div><table width='100%' cellspacing='5' cellpadding='0' class='scapmain'><tr><td width='1%'></td><td>".$title."</td></tr></table></div>
<div class='side-body'>\n";
}

function closeside() {
echo "</div>
</div>\n";
tablebreak();
}

function opensidex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' />
<table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td width='1%'>".panelbutton_div($state,$boxname)."</td><td>".$title."</td></tr></table></div>
<div class='side-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closesidex() {
echo "</div>
</div>\n";
tablebreak();
}

function opentablex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' /><table width='100%' cellspacing='1' cellpadding='1' class='main-body'><tr><td width='1%'>".panelbutton_div($state,$boxname)."</td><td>".$title."</td></tr></table></div>
<div class='main-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closetablex() {
echo "</div>
</div>\n";
tablebreak();
}

function tablebreak() {
echo "<div style='width:100%; height:5px'>\n</div>\n";
}
?>